<bugID>1160407<Summary>Pocket's "Open Pocket" and "Sign In"/"Create Account" link won't work well with Private Browsing</Summary><Description>The Pocket integration lives in chrome, so if the user was already signed in to Pocket, they will stay signed in and be able to save pages while in Private Browsing mode. This seems fine and expected.

However, the "Open Pocket" link in the Pocket page-saved panel basically just opens a link to getpocket.com in the current window. And that's not going to work in Private Browsing Mode very well, since unless the user has explicitly signed in to Pocket's web site in PB Mode they'll just get a login page. (I suspect the same will be true of the entry from the bookmarks menu?)

Should these point of the UI open the Pocket site in a new, non-private window in this case? And what happens in permanent private-browsing mode?

[And as a mildly interesting edge case: The user could be logged in to Pocket as UserA, open a private window, and log in to Pocket as UserB. The Pocket button will save to UserA's pocket, but the Open Pocket link will (currently) open Pocket as UserB in the private window.]</Description></bugID>